Bug 1285478 - [1.3.0] Error running virt-manager for the second time
[1.3.0] Error running virt-manager for the second time
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 12:06 EST by jean-christophe manciot
Modified: 2015-12-06 19:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-06 19:31:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
First Launch.txt (22.24 KB, text/plain)
2015-11-26 10:47 EST, jean-christophe manciot
no flags Details
Second Launch.txt (2.64 KB, text/plain)
2015-11-26 10:48 EST, jean-christophe manciot
no flags Details

  None (edit)
Description jean-christophe manciot 2015-11-25 12:06:24 EST
Description of problem:
----------------------
There's no issue the first time virt-manager is launched.
The second time:

Error starting Virtual Machine Manager: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: No such interface 'org.virtmanager.cli' on object at path /org/virtmanager/cli (19)

Traceback (most recent call last):
  File "/usr/share/virt-manager/virt-manager", line 264, in <module>
    main()
  File "/usr/share/virt-manager/virt-manager", line 258, in main
    api.run_cli_command(options.uri, show_window, domain)
  File "/usr/share/virt-manager/virtManager/dbusapi.py", line 145, in run_cli_command
    uri or "", show_window or "", domain or "")
  File "/usr/lib/python2.7/dist-packages/gi/overrides/Gio.py", line 171, in __call__
    None)
Error: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: No such interface 'org.virtmanager.cli' on object at path /org/virtmanager/cli (19)

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
1.3.0 source tarball

Steps to Reproduce:
1. Launch virt-manager
2. Run a VM
3. Run virt-viewer & connect it to that VM
4. Stop the VM
5. Exit from virt-manager
6. Launch virt-manager again

Additional info:
---------------
Ubuntu Server 15.10
No such issue with previous github sources
Comment 1 Cole Robinson 2015-11-25 15:18:13 EST
You mean running 'virt-manager' again while there's already an instance of the app running?

I just tried on rhel7 and I can reproduce. Can you provide --debug output from both instances so I can confirm it's the same issue?

What pygobject version are you running?
Comment 2 jean-christophe manciot 2015-11-26 10:46:35 EST
No, I mean stopping & running again one instance. 
However, it seems that your issue is at least similar, because in the "Second Launch.txt"log, I can read "virt-manager 10055] DEBUG (dbusapi:124) Detected app is already running, connecting to existing instance.", although the first instance has been exited by closing the virt-manager window.

Libvirt-python 1.2.21 commit "fix crash introduced by commit 1d39dbaf"
------------------------------------------------------------------------------
The first time, uncaught exceptions (at the beginning of the log & at the end, cf. attached full log "First Launch.txt"), but no other issue:
------------------------------------------------------------------------------
./virt-manager --debug
[Thu, 26 Nov 2015 08:34:57 virt-manager 9550] DEBUG (cli:256) Launched with command line: ./virt-manager --debug
[Thu, 26 Nov 2015 08:34:57 virt-manager 9550] DEBUG (virt-manager:143) virt-manager version: 1.3.0
[Thu, 26 Nov 2015 08:34:57 virt-manager 9550] DEBUG (virt-manager:144) virtManager import: <module 'virtManager' from '/home/actionmystique/Program-Files/Ubuntu/Virt-manager/virt-manager-1.3.0/virtManager/__init__.py'>
[Thu, 26 Nov 2015 08:34:57 virt-manager 9550] DEBUG (virt-manager:203) GTK version: 3.16.7
[Thu, 26 Nov 2015 08:34:57 virt-manager 9550] DEBUG (engine:474) libguestfs inspection support: False
[Thu, 26 Nov 2015 08:34:57 virt-manager 9550] DEBUG (systray:72) Using AppIndicator3 for systray
[Thu, 26 Nov 2015 08:34:57 virt-manager 9550] DEBUG (systray:154) Showing systray: True
[Thu, 26 Nov 2015 08:34:57 virt-manager 9550] DEBUG (engine:236) About to connect to uris ['qemu:///system']
[Thu, 26 Nov 2015 08:34:57 virt-manager 9550] DEBUG (dbusapi:52) Starting dbus cli server
[Thu, 26 Nov 2015 08:34:57 virt-manager 9550] DEBUG (manager:206) Showing manager
[Thu, 26 Nov 2015 08:34:57 virt-manager 9550] DEBUG (engine:375) window counter incremented to 1
[Thu, 26 Nov 2015 08:34:57 virt-manager 9550] DEBUG (cli:249) Uncaught exception:
Traceback (most recent call last):
  File "/home/actionmystique/Program-Files/Ubuntu/Virt-manager/virt-manager-1.3.0/virtManager/dbusapi.py", line 92, in _on_bus_acquired
    self._handle_method_call, None, None)
TypeError: argument vtable: Expected Gio.DBusInterfaceVTable, but got virtManager.dbusapi.instancemethod

Traceback (most recent call last):
  File "/home/actionmystique/Program-Files/Ubuntu/Virt-manager/virt-manager-1.3.0/virtManager/dbusapi.py", line 92, in _on_bus_acquired
    self._handle_method_call, None, None)
TypeError: argument vtable: Expected Gio.DBusInterfaceVTable, but got virtManager.dbusapi.instancemethod
[Thu, 26 Nov 2015 08:34:57 virt-manager 9550] DEBUG (connection:568) conn=qemu:///system changed to state=Connecting
[Thu, 26 Nov 2015 08:34:57 virt-manager 9550] DEBUG (connection:887) Scheduling background open thread for qemu:///system
[Thu, 26 Nov 2015 08:34:57 virt-manager 9550] DEBUG (connection:936) libvirt version=1002020
[Thu, 26 Nov 2015 08:34:57 virt-manager 9550] DEBUG (connection:938) daemon version=1002020
[Thu, 26 Nov 2015 08:34:57 virt-manager 9550] DEBUG (connection:939) conn version=2004001
[Thu, 26 Nov 2015 08:34:57 virt-manager 9550] DEBUG (connection:941) qemu:///system capabilities:
<capabilities>
-----------------------------------------------------------------------------
Closing & running again after running & closing a few VMs:
-----------------------------------------------------------------------------
root@msi-ge60-ubuntu:/usr/share/applications# virt-manager --debug
[Thu, 26 Nov 2015 16:37:37 virt-manager 10055] DEBUG (cli:256) Launched with command line: /usr/share/virt-manager/virt-manager --debug
[Thu, 26 Nov 2015 16:37:37 virt-manager 10055] DEBUG (virt-manager:143) virt-manager version: 1.3.0
[Thu, 26 Nov 2015 16:37:37 virt-manager 10055] DEBUG (virt-manager:144) virtManager import: <module 'virtManager' from '/usr/share/virt-manager/virtManager/__init__.pyc'>
[Thu, 26 Nov 2015 16:37:37 virt-manager 10055] DEBUG (virt-manager:203) GTK version: 3.16.7
[Thu, 26 Nov 2015 16:37:37 virt-manager 10055] DEBUG (engine:474) libguestfs inspection support: False
[Thu, 26 Nov 2015 16:37:37 virt-manager 10055] DEBUG (systray:72) Using AppIndicator3 for systray
[Thu, 26 Nov 2015 16:37:37 virt-manager 10055] DEBUG (systray:154) Showing systray: True
[Thu, 26 Nov 2015 16:37:37 virt-manager 10055] DEBUG (engine:236) About to connect to uris ['qemu:///system']
[Thu, 26 Nov 2015 16:37:37 virt-manager 10055] DEBUG (dbusapi:124) Detected app is already running, connecting to existing instance.
[Thu, 26 Nov 2015 16:37:37 virt-manager 10055] DEBUG (virt-manager:54) Error starting virt-manager: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: No such interface 'org.virtmanager.cli' on object at path /org/virtmanager/cli (19)
Traceback (most recent call last):
  File "/usr/share/virt-manager/virt-manager", line 264, in <module>
    main()
  File "/usr/share/virt-manager/virt-manager", line 258, in main
    api.run_cli_command(options.uri, show_window, domain)
  File "/usr/share/virt-manager/virtManager/dbusapi.py", line 145, in run_cli_command
    uri or "", show_window or "", domain or "")
  File "/usr/lib/python2.7/dist-packages/gi/overrides/Gio.py", line 171, in __call__
    None)
Error: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: No such interface 'org.virtmanager.cli' on object at path /org/virtmanager/cli (19)
Traceback (most recent call last):
  File "/usr/share/virt-manager/virt-manager", line 264, in <module>
    main()
  File "/usr/share/virt-manager/virt-manager", line 258, in main
    api.run_cli_command(options.uri, show_window, domain)
  File "/usr/share/virt-manager/virtManager/dbusapi.py", line 145, in run_cli_command
    uri or "", show_window or "", domain or "")
  File "/usr/lib/python2.7/dist-packages/gi/overrides/Gio.py", line 171, in __call__
    None)
Error: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: No such interface 'org.virtmanager.cli' on object at path /org/virtmanager/cli (19)
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Comment 3 jean-christophe manciot 2015-11-26 10:47 EST
Created attachment 1099332 [details]
First Launch.txt

First time I launch virt-manager and a bunch of VMs
Comment 4 jean-christophe manciot 2015-11-26 10:48 EST
Created attachment 1099333 [details]
Second Launch.txt

Second time I launch virt-manager right after closing the first instance
Comment 5 jean-christophe manciot 2015-11-26 14:20:45 EST
python-gobject: 3.16.2 & 2.28.6
Comment 6 Cole Robinson 2015-11-27 19:43:35 EST
according to your debug output, you have the systray icon enabled, so in fact your first vmm instance is never exiting. so it's basically the same problem I described. I'll work on a fix
Comment 7 Cole Robinson 2015-12-06 19:31:42 EST
Should be fixed upstream now, and in the upcoming 1.3.1 release

Note You need to log in before you can comment on or make changes to this bug.